## kaya 0.1.24

=== docs/Makefile ===
LATEX = latex
BIBTEX = bibtex
MAKEIDX = makeindex
DVIPS = dvips
DVIPDF = dvipdf

TARGET = kaya.ps

SRCS = kaya.tex

all: kaya.ps kaya.pdf

kaya.dvi: kaya.tex references.bib

html:
	latex2html kaya.tex -local_icons -bottom_navigation -style kaya.css
	cp kaya.css kaya
	tidy -modify kaya/*.html

clean:
	rm -f *.aux *.bbl *.blg *.dvi *.log *.pdf *.ps 
	rm -rf kaya

distclean: clean
	rm -f *~

%.ps: %.dvi
	dvips -f $< > $@

%.pdf: %.dvi
	dvipdfm $<

%.dvi: %.tex ${SRCS}
	${LATEX} $<
	${BIBTEX} $*    
	${LATEX} $<
	${LATEX} $<
