=== tools/Makefile ===
all: dynlink

dynlink: dynlink.dph
	../compiler/dcc dynlink.dph -L ../stdlib -L ../rts -showgcc

clean:
	rm -f dynlink
