## kaya 0.2.0

=== docs/Makefile ===
--- 
+++ 
@@ -6,11 +6,13 @@
 
 TARGET = kaya.ps
 
-SRCS = kaya.tex
+SRCS = kaya.tex macros.ltx builtins.tex	functions.tex structure.tex \
+       expressions.tex future.tex lexical.tex types.tex \
+       foreign.tex internals.tex modules.tex webapps.tex
 
 all: kaya.ps kaya.pdf
 
-kaya.dvi: kaya.tex references.bib
+kaya.dvi: ${SRCS} references.bib
 
 html:
 	latex2html kaya.tex -local_icons -bottom_navigation -style kaya.css
