=== tests/Makefile ===
test:
	perl ./runtest.pl all

update:
	perl ./runtest.pl all -u

diff:
	perl ./runtest.pl all -d

distclean:
	rm -f *~
