=== website/files/Makefile ===
KAYAC = ../../compiler/kayac
CXXFLAGS = -I../../rts -O2
KAYAINC = -noenvlibs -I../../stdlib -I../../rts -I../../libs 
PROGS = autofill.cgi helloweb.cgi helloweb2.cgi shape.cgi simplestate.cgi \
	webcalc.cgi webhello.cgi webimages.cgi sudokumatic.cgi
KAYAOPTS = -L ../../rts_opt -L ../../rts -L ../../stdlib -L ../../libs -nortchecks -force -deprfail
DEPS = ../../stdlib/CGI.o ../../stdlib/Webapp.o ../../libs/Image.o ../../stdlib/ElementTreeData.o

all: ${PROGS}

clean:
	rm -f ${PROGS}
	rm -f *.o *.ki

distclean:
	rm -f *~

%.cgi: %.k ${DEPS}
	${KAYAC} $< ${KAYAINC} ${KAYAOPTS}
shape.cgi: primitives.k
webcalc.cgi: calclang.k
sudokumatic.cgi: sudoku.k
