## kaya 0.2.7

=== docs/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 SRCS = kaya.tex macros.ltx builtins.tex	functions.tex structure.tex \
        expressions.tex future.tex lexical.tex types.tex \
-       foreign.tex internals.tex modules.tex webapps.tex
+       foreign.tex internals.tex modules.tex progtypes.tex
 
 all: kaya.ps kaya.pdf
