=== examples/parser/Makefile ===
webcalc.cgi: calclang.k webcalc.k
	kayac webcalc.k -seedkey calc
	   
install: webcalc.cgi
	strip webcalc.cgi
	mkdir -p ~/public_html/kaya/webcalc
	cp *.k *.cgi ~/public_html/kaya/webcalc
