=== examples/shape/Makefile ===
shape.cgi: shape.k primitives.k
	   kayac shape.k -seedkey shapethingy
	   
install: shape.cgi
	strip shape.cgi
	mkdir -p ~/public_html/kaya/shapes
	cp *.k *.cgi ~/public_html/kaya/shapes/
