=== examples/sudoku/Makefile ===
KAYAC = kayac
TARGET = sudokumatic.cgi

SRCS = sudoku.k sudokumatic.k
OBJS = sudokumatic.o
HTML = 

INSTALLDIR = ~/public_html/kaya/sudokumatic/

all: ${TARGET}

install: all
	strip ${TARGET}
	mkdir -p ${INSTALLDIR}
	install ${TARGET} ${HTML} ${INSTALLDIR}

${TARGET}: ${SRCS}
	${KAYAC} sudokumatic.k
	chmod o-r ${TARGET}

clean:
	rm -f *.o *.ki ${TARGET}

decruft:
	rm *~

%.o : %.k
	${KAYAC} $<

%.ki : %.o
	@:
