## kaya 0.4.4

=== tests/Makefile ===
--- 
+++ 
@@ -9,3 +9,4 @@
 
 distclean:
 	rm -f *~
+	rm -f */output
