=== tests/libtests/Makefile ===
KAYAC = ../../compiler/kayac
KAYAINC = -I../../rts
KAYALIB = -L ../../rts -L ../../stdlib

test: runtests

runtests: .PHONY # always build it
	${KAYAC} runtests.k -force ${KAYAINC} ${KAYALIB}
	./runtests

clean:
	rm -f *.o *.ki runtests

.PHONY:
