=== debian/changelog ===
kaya (0.4.4-6ubuntu3) saucy; urgency=low

  * Rebuild to pick up new libgc package name

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Jul 2013 12:04:15 +0000

kaya (0.4.4-6ubuntu2) saucy; urgency=low

  * Rebuild for libgd3.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 00:41:18 +0100

kaya (0.4.4-6ubuntu1) raring; urgency=low

  * FTBFS fixes.
  * debian/patches/ghc-7.6-fixes: Patches to work with API changes in GHC 7.6,
    mainly to make use of Control.Exception.
  * debian/patches/new-gc-api.patch: Backport of upstream commits to work with
    current boehm GC APIs
  * Add dh_autoreconf usage for the above patch.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 24 Apr 2013 10:30:16 +0100

kaya (0.4.4-6build1) raring; urgency=low

  * Rebuild to pick up the new libgc1c3 dependency.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Feb 2013 13:39:59 +0000

kaya (0.4.4-6) unstable; urgency=low

  [ gregor herrmann ]
  * Non-maintainer upload.
  * Fix "FTBFS: dpkg-buildpackage: error: dpkg-source -b kaya-0.4.4 gave
    error exit status 2": fix handling of config.{guess,sub}:
    - remove them from the patch
    - use autotools-dev helpers in debian/rules
    (Closes: #665064)

  [ Vincent Legout ]
  * debian/patches/haskell.patch: Fix haskell modules import
  * debian/patches/gcc-4.7.patch: Fix ftbfs with gcc-4.7
  * Build-Depends on libghc-random-dev

 -- Stuart Teasdale <sdt@debian.org>  Wed, 10 Oct 2012 20:34:41 +0100

kaya (0.4.4-5) unstable; urgency=low

  * Apply patch from upstream to fix build error. Closes: #628309.
  * Fix up build deps. Closes: #621808.
  * Switch to quilt for our source format.

 -- Stuart Teasdale <sdt@debian.org>  Sat, 03 Sep 2011 11:30:58 +0100

kaya (0.4.4-4) unstable; urgency=low

  * Open /dev/urandom as a binary file. Closes: #572760. 

 -- Stuart Teasdale <sdt@debian.org>  Sun, 14 Mar 2010 21:14:30 +0000

kaya (0.4.4-3) unstable; urgency=low

  * Update libmysqlclient dependencies to reflect package name change 
  * Update glut dependencies. Closes: #543692.
  * Update standards-version
  * Lintian cleanups 

 -- Stuart Teasdale <sdt@debian.org>  Wed, 02 Sep 2009 21:56:49 +0100

kaya (0.4.4-2) unstable; urgency=low

  * Add build dependency on libghc6-editline-dev. Closes: #534000. 
  * Fix for man page lintian errors. 

 -- Stuart Teasdale <sdt@debian.org>  Sun, 28 Jun 2009 09:47:05 +0100

kaya (0.4.4-1) unstable; urgency=low

  * New  upstream version. 

 -- Stuart Teasdale <sdt@debian.org>  Thu, 16 Apr 2009 22:09:05 +0100

kaya (0.4.3-2) unstable; urgency=low

  * 496856 came back due to a mistake in merging in the new version!

 -- Stuart Teasdale <sdt@debian.org>  Sun, 15 Feb 2009 13:17:32 +0000

kaya (0.4.3-1) unstable; urgency=low

  * New upstream version fixes several major bugs
 
 -- Stuart Teasdale <sdt@debian.org>  Sun, 15 Feb 2009 10:33:12 +0000

kaya (0.4.2-4) unstable; urgency=high

  * Fix Architecture: any to architecture: all. Closes: #496856.

 -- Stuart Teasdale <sdt@debian.org>  Thu, 28 Aug 2008 08:42:20 +0100

kaya (0.4.2-3) unstable; urgency=low

  * Tweak to stack size in build for ia64
  * Patch to fix data corruption bugs. Thanks to Chris Morris. Closes: #495521.


 -- Stuart Teasdale <sdt@debian.org>  Tue, 26 Aug 2008 08:52:42 +0100

kaya (0.4.2-2) unstable; urgency=low

  * Drop ia64 due to toolchain issues. Closes: #483263.

 -- Stuart Teasdale <sdt@debian.org>  Wed, 23 Jul 2008 09:58:20 +0100

kaya (0.4.2-1) unstable; urgency=low

  * New upstream release 

 -- Stuart Teasdale <sdt@debian.org>  Mon,  9 Jun 2008 18:36:35 +0100

kaya (0.4.0-4) unstable; urgency=low


  * HPPA build fixes

 -- Stuart Teasdale <sdt@debian.org>  Sat, 17 May 2008 17:52:51 +0100

kaya (0.4.0-3) unstable; urgency=low

  * Stop using -pie on ia64 as it causes libgc to segfault. Thanks to
    Chris Morris

 -- Stuart Teasdale <sdt@debian.org>  Wed,  9 Apr 2008 20:39:52 +0100

kaya (0.4.0-2) unstable; urgency=low

  * fix to remove -fstack-protector issues on some platforms.
  * Add ulimit to stop make allocating excessive stack space. 

 -- Stuart Teasdale <sdt@debian.org>  Thu,  3 Apr 2008 22:11:22 +0100

kaya (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Stuart Teasdale <sdt@debian.org>  Sat, 15 Mar 2008 23:22:37 +0000

kaya (0.2.7-6) unstable; urgency=low

  * Fix for build on ARM.

 -- Stuart Teasdale <sdt@debian.org>  Sun,  9 Mar 2008 13:31:24 +0000

kaya (0.2.7-5) unstable; urgency=low

  * Add build dep and subpackage for ncursesw. Closes: #463717.
  * Fixes for gcc 4.3 build missing includes. Closes: #455299.

 -- Stuart Teasdale <sdt@debian.org>  Mon, 25 Feb 2008 20:58:14 +0000

kaya (0.2.7-4) unstable; urgency=low

  * Part 2 of IA-64 and Alpha build issues patched.  

 -- Stuart Teasdale <sdt@debian.org>  Wed, 21 Nov 2007 21:20:30 +0000

kaya (0.2.7-3) unstable; urgency=low

  * Corrected problem with distclean target, and autoreconfed.
    Closes: #452050.

 -- Stuart Teasdale <sdt@debian.org>  Tue, 20 Nov 2007 11:31:15 +0000

kaya (0.2.7-2) unstable; urgency=low

  * Fixes for AMD64, IA-64 and Alpha build problems. 

 -- Stuart Teasdale <sdt@debian.org>  Mon, 19 Nov 2007 10:51:27 +0000

kaya (0.2.7-1) unstable; urgency=low

  * New upstream version. 

 -- Stuart Teasdale <sdt@debian.org>  Tue, 30 Oct 2007 18:12:51 +0000

kaya (0.2.6-4) unstable; urgency=low

  * More fixes for 64 bit archs. 

 -- Stu Teasdale <stu@drogna.org.uk>  Mon, 17 Sep 2007 18:45:29 +0100

kaya (0.2.6-3) unstable; urgency=low

  * Fix for make clean not dealing with man page cleanups, thanks to 
    Chris Morris for the patch. Closes: #442609.
  * Initial fixes to deal with FTBFS on some archs, patch from Chris 
    Morris.

 -- Stuart Teasdale <sdt@debian.org>  Mon, 17 Sep 2007 08:22:16 +0100

kaya (0.2.6-2) unstable; urgency=low

  * Reintroduced build tests.

 -- Stuart Teasdale <sdt@debian.org>  Tue,  4 Sep 2007 20:19:24 +0100

kaya (0.2.6-1) unstable; urgency=low

  * New upstream release.


