=== debian/control ===
Source: kaya
Section: devel
Priority: extra
Maintainer: Stuart Teasdale <sdt@debian.org>
Build-Depends: debhelper (>= 7.0.0), dh-autoreconf, autotools-dev, ghc6 | ghc, libghc-mtl-dev, libgc-dev, happy, libpcre3-dev(>= 5.0), libgcrypt11-dev, libncurses5-dev, freeglut3-dev, zlib1g-dev, libgnutls-dev, libpq-dev, libmysqlclient-dev, libsqlite3-dev, libgd2-xpm-dev, libsdl1.2-dev,libncursesw5-dev,libghc-editline-dev, libghc-random-dev
Standards-Version: 3.8.3
Homepage: http://kayalang.org/

Package: kaya
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgc-dev, g++, zlib1g-dev, libpcre3-dev (>= 5.0), libgcrypt11-dev, libgnutls-dev
Description: A statically typed, imperative programming language
 Kaya is a compiled statically typed (ie, types are checked at compile 
 time) imperative programming language; unlike other such languages, 
 however, types are inferred rather than declared - there is no need for 
 type declarations of local variables. Kaya has "tagged union" data 
 structures, a powerful feature more commonly found in functional 
 languages such as OCaml and Haskell.
 .
 Kaya also has built-in abstractions for web application development, 
 making it easy to write a CGI program without paying too much attention 
 to low level details such as state management and form handling.

Package: libkaya-pgsql-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, kaya, libpq-dev
Description: PostgreSQL binding for kaya
 This package supplies a library for the kaya programming language
 .
 This library provides a binding for the PostgreSQL database system.

Package: libkaya-mysql-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, kaya, libmysqlclient-dev
Description: MySQL binding for kaya
 This package supplies a library for the kaya programming language
 .
 This library provides a binding for the MySQL database system.

Package: libkaya-sqlite3-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, kaya, libsqlite3-dev
Description: SQLite binding for kaya
 This package supplies a library for the kaya programming language
 .
 This library provides a binding for the SQLite database system.

Package: libkaya-gd-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, kaya, libgd2-xpm-dev
Description: GD binding for kaya
 This package supplies a library for the kaya programming language
 .
 This library provides a binding for the GD graphics library.

Package: libkaya-sdl-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, kaya, libsdl1.2-dev
Description: SDL binding for kaya
 This package supplies a library for the kaya programming language
 .
 This library provides a binding for the SDL database system.

Package: libkaya-ncurses-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kaya, libncurses5-dev
Description: Ncurses binding for kaya
 This package supplies a library for the kaya programming language
 .
 This library provides a binding for ncurses.

Package: libkaya-gl-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kaya, freeglut3-dev
Description: OpenGL binding for kaya
 This package supplies a library for the kaya programming language
 .
 This library provides a binding for OpenGL.

Package: libkaya-ncursesw-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, kaya, libncursesw5-dev
Description: Ncurses binding for kaya
 This package supplies a library for the kaya programming language
 .
 This library provides a binding for ncurses with wide character 
 support.
